commit:     d56cf5f52d56b74774c234512f9be1610cd2c11f
Author:     Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Sat Feb 27 02:31:38 2021 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Sat Feb 27 02:32:32 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d56cf5f5

app-admin/salt-3000.8: Version bump for sec bug #767919

Bug: https://bugs.gentoo.org/767919
Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-3.0.15, Repoman-3.0.2
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 app-admin/salt/Manifest                      |   1 +
 app-admin/salt/files/salt-3000.8-tests.patch |   0
 app-admin/salt/salt-3000.8.ebuild            | 203 +++++++++++++++++++++++++++
 3 files changed, 204 insertions(+)

diff --git a/app-admin/salt/Manifest b/app-admin/salt/Manifest
index a08943d31b6..5b54dc5c1c5 100644
--- a/app-admin/salt/Manifest
+++ b/app-admin/salt/Manifest
@@ -1,6 +1,7 @@
 DIST salt-3000.2-py38-misc.patch.gz 6250 BLAKE2B 
68fff80a042e6bf208ea2d9692da7a7b1e29572f1ec3c850c14743bbf2821d231f933ec4e6d6eaad12acee0b7666888a37a72872b2b082c92d8db9de988fbbec
 SHA512 
6d4a66323a423e630f7cc73b566ed96c452c8fc3d72c25a2dd86033c4774c1c8e8b8701e1d4ee92994d4148c398d704f419023e26d8b40c8fdd63f9d79d9d52f
 DIST salt-3000.5.tar.gz 15229450 BLAKE2B 
135e9b9dcc461ac898231ce46e6a1359e6d60a43822320950bc0b83057f768dadf55320dd73df72d5bc917f324eef4661e6f75d8eb8e84aef958bd2df8924cfc
 SHA512 
2579f65c24d22d77132057bd8cf37040d7d149624745dd68b4c44318be786580dcc34bf563f90d7de9ef5b726b2453bef4d8639bc8fbd9c5e691500520335317
 DIST salt-3000.6.tar.gz 15236781 BLAKE2B 
5a532a6915b331fb532dc6e1651cf8fca3e1a5e9f29f6d75260fdb1162dbfeec755c65f7c6fc28b1cc7dc3ace978547830af31aafc1eee8419bbc7e695725787
 SHA512 
739e3671766c45a0ef1eb45933c7f00f14586e91f4c4a79cbed913a48961a48baee853206ba569491756e8a872d22f3635eb6bc1a366020e551c567b2334c508
+DIST salt-3000.8.tar.gz 15249139 BLAKE2B 
df306669ba11dd650621222ff9c69f5a6e16b6f431e9d93e6712ee95da43091bfe28416fe0d71988ed9ee70cb347755b779a356c50fa59c63c67a874ed1906f4
 SHA512 
a18d5bea3b3835f83d5b1e5315990d83f6c58c36df5589d5de0f8cc3a46db4c960b58032e29d56841a160b9b170cdbb81bca38dbbd72ccb5866ccc8a7da6e800
 DIST salt-3001.4.tar.gz 15716372 BLAKE2B 
cc33b29b0da9cfaae22726b2b471245880aafa106187b531872a9ae5ee773a94e0d550a68b11b74826bc0b35197a311f690535f2280931ccb5050275ad967c2d
 SHA512 
b7f343c65917280a96d8a3eaa6b508121b11b9f9b0bfffa5b4c79af0023bdecf4581f76014847d97f48d9677edb6f632adec3850153c3048c3114128a250b84b
 DIST salt-3001.6.tar.gz 15736056 BLAKE2B 
00e7674452e9d61c3cd487d27a3a1f3435c6b12dcc89008aa63c96814957b6ce8654f4d4d51dbce7b14027f0cee66fd2ea9602f6be18bf2f4beac11ae164f89f
 SHA512 
e45c9cfddb64ab1c9d66b6b6b3e5ff8d9010c01307161e5013140b4362ee630cf912ab153d1afa72f56d18fc5353293b2f4b449caf8ee384d1e93204d490bf4c
 DIST salt-3002.2.tar.gz 15765855 BLAKE2B 
b26895ababc8551e01baa806c5a0e41dab9a379e47d2289b5c3c529ef762c69631d7ed8b32339ec66c3929c5883782131eb56d1bfbcc743829c4f0199a900ca1
 SHA512 
0f617a07475347b1bb0d1c6059de541e102103182820dfd6f64f4c281d660e68358eb1ab7171a637e16cef9fea2517c8356df9c449f9bbc92538aa86c316f652

diff --git a/app-admin/salt/files/salt-3000.8-tests.patch 
b/app-admin/salt/files/salt-3000.8-tests.patch
new file mode 100644
index 00000000000..e69de29bb2d

diff --git a/app-admin/salt/salt-3000.8.ebuild 
b/app-admin/salt/salt-3000.8.ebuild
new file mode 100644
index 00000000000..e8589011e66
--- /dev/null
+++ b/app-admin/salt/salt-3000.8.ebuild
@@ -0,0 +1,203 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{7..8} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit systemd distutils-r1
+
+DESCRIPTION="Salt is a remote execution and configuration manager"
+HOMEPAGE="https://www.saltstack.com/resources/community/
+       https://github.com/saltstack";
+
+if [[ ${PV} == 9999* ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="git://github.com/${PN}stack/${PN}.git"
+       EGIT_BRANCH="develop"
+       SRC_URI=""
+else
+       SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
+               
https://dev.gentoo.org/~chutzpah/dist/salt/salt-3000.2-py38-misc.patch.gz";
+       KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="cheetah cherrypy ldap libcloud libvirt genshi gnupg keyring mako
+       mongodb neutron nova openssl portage profile redis selinux test raet
+       +zeromq vim-syntax"
+
+RDEPEND="
+       sys-apps/pciutils
+       dev-python/distro[${PYTHON_USEDEP}]
+       dev-python/jinja[${PYTHON_USEDEP}]
+       dev-python/libnacl[${PYTHON_USEDEP}]
+       >=dev-python/msgpack-0.5[${PYTHON_USEDEP}]
+       <dev-python/msgpack-1.0[${PYTHON_USEDEP}]
+       dev-python/pycryptodome[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       dev-python/markupsafe[${PYTHON_USEDEP}]
+       >=dev-python/requests-1.0.0[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       libcloud? ( >=dev-python/libcloud-0.14.0[${PYTHON_USEDEP}] )
+       mako? ( dev-python/mako[${PYTHON_USEDEP}] )
+       ldap? ( dev-python/python-ldap[${PYTHON_USEDEP}] )
+       libvirt? (
+               $(python_gen_cond_dep 
'dev-python/libvirt-python[${PYTHON_USEDEP}]' python3_7)
+       )
+       openssl? (
+               dev-libs/openssl:0=[-bindist]
+               dev-python/pyopenssl[${PYTHON_USEDEP}]
+       )
+       raet? (
+               >=dev-python/libnacl-1.0.0[${PYTHON_USEDEP}]
+               >=dev-python/ioflo-1.1.7[${PYTHON_USEDEP}]
+               >=dev-python/raet-0.6.0[${PYTHON_USEDEP}]
+       )
+       cherrypy? ( >=dev-python/cherrypy-3.2.2[${PYTHON_USEDEP}] )
+       cheetah? ( dev-python/cheetah3[${PYTHON_USEDEP}] )
+       mongodb? ( dev-python/pymongo[${PYTHON_USEDEP}] )
+       portage? ( sys-apps/portage[${PYTHON_USEDEP}] )
+       keyring? ( dev-python/keyring[${PYTHON_USEDEP}] )
+       redis? ( dev-python/redis-py[${PYTHON_USEDEP}] )
+       selinux? ( sec-policy/selinux-salt )
+       nova? (
+               $(python_gen_cond_dep 
'>=dev-python/python-novaclient-2.17.0[${PYTHON_USEDEP}]' python3_7)
+       )
+       neutron? (
+               $(python_gen_cond_dep 
'>=dev-python/python-neutronclient-2.3.6[${PYTHON_USEDEP}]' python3_7)
+       )
+       gnupg? ( dev-python/python-gnupg[${PYTHON_USEDEP}] )
+       profile? ( dev-python/yappi[${PYTHON_USEDEP}] )
+       vim-syntax? ( app-vim/salt-vim )
+       zeromq? ( >=dev-python/pyzmq-2.2.0[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+       test? (
+               ${RDEPEND}
+               >=dev-python/boto-2.32.1[${PYTHON_USEDEP}]
+               >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+               >=dev-python/libcloud-0.14.0[${PYTHON_USEDEP}]
+               >=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
+               >=dev-python/moto-0.3.6[${PYTHON_USEDEP}]
+               dev-python/pip[${PYTHON_USEDEP}]
+               dev-python/psutil[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/pytest-helpers-namespace[${PYTHON_USEDEP}]
+               dev-python/pytest-helpers-namespace[${PYTHON_USEDEP}]
+               >=dev-python/pytest-salt-2018.12.8[${PYTHON_USEDEP}]
+               dev-python/pytest-tempdir[${PYTHON_USEDEP}]
+               >=dev-python/SaltTesting-2016.5.11[${PYTHON_USEDEP}]
+               dev-python/virtualenv[${PYTHON_USEDEP}]
+               !x86? ( >=dev-python/boto3-1.2.1[${PYTHON_USEDEP}] )
+       )"
+
+DOCS=( README.rst AUTHORS )
+
+REQUIRED_USE="|| ( raet zeromq )
+       test? ( cheetah genshi )"
+RESTRICT="!test? ( test ) x86? ( test )"
+
+# tests failing with newer versions of deps
+RESTRICT+=" test"
+
+PATCHES=(
+       "${FILESDIR}/salt-2017.7.0-dont-realpath-tmpdir.patch"
+       "${FILESDIR}/salt-2019.2.0-skip-tests-that-oom-machine.patch"
+       "${FILESDIR}/salt-3000.1-tests.patch"
+       "${FILESDIR}/salt-3000.2-tests.patch"
+
+       # https://github.com/saltstack/salt/pull/55410
+       "${FILESDIR}/salt-3000.2-py38.patch"
+
+       # https://github.com/saltstack/salt/pull/55900
+       "${FILESDIR}/salt-3000.2-py38-abc.patch"
+
+       # misc py38 fixups
+       "${WORKDIR}/salt-3000.2-py38-misc.patch"
+       "${FILESDIR}/salt-3000.2-py38-logwarn.patch"
+       "${FILESDIR}/salt-2019.2.8-ansible-roster-fix.patch"
+       "${FILESDIR}/salt-3000.8-tests.patch"
+)
+
+python_prepare_all() {
+       # remove tests with external dependencies that may not be available, and
+       # tests that don't work in sandbox
+       rm tests/unit/{test_zypp_plugins,utils/test_{extend,cache}}.py || die
+       rm tests/unit/modules/test_{file,boto_{vpc,secgroup,elb}}.py || die
+       rm tests/unit/states/test_boto_vpc.py || die
+
+       # tests that require network access
+       rm tests/unit/{states,modules}/test_zcbuildout.py || die
+       rm tests/unit/transport/test_zeromq.py || die
+
+       # make sure pkg_resources doesn't bomb because pycrypto isn't installed
+       find . -name '*.txt' -print0 | xargs -0 sed -e '/pycrypto>/ d' -i || die
+       distutils-r1_python_prepare_all
+}
+
+python_prepare() {
+       einfo "Fixing collections.abc warnings for ${EPYTHON}"
+       local abc
+       abc="$("${EPYTHON}" -c 'import collections.abc; print("|".join((c for c 
in dir(collections.abc) if not c.startswith("_"))))')" || die
+       find -name '*.py' -type f -print0 | xargs -0 sed -r -e 
"s:collections\\.(${abc}):collections.abc.\\1:g" -i || die
+
+       # allow the use of the renamed msgpack
+       sed -i '/^msgpack/d' requirements/base.txt || die
+}
+
+python_install_all() {
+       local svc
+       USE_SETUPTOOLS=1 distutils-r1_python_install_all
+
+       for svc in minion master syndic api; do
+               newinitd "${FILESDIR}"/${svc}-initd-5 salt-${svc}
+               newconfd "${FILESDIR}"/${svc}-confd-1 salt-${svc}
+               systemd_dounit "${FILESDIR}"/salt-${svc}.service
+       done
+
+       insinto /etc/${PN}
+       doins -r conf/*
+}
+
+python_test() {
+       local tempdir
+       # testsuite likes lots of files
+       ulimit -n 3072 || die
+
+       # ${T} is too long a path for the tests to work
+       tempdir="$(mktemp -du --tmpdir=/tmp salt-XXX)"
+       mkdir "${T}/$(basename "${tempdir}")"
+
+       (
+               cleanup() { rm -f "${tempdir}" || die; }
+
+               trap cleanup EXIT
+
+               addwrite "${tempdir}"
+               ln -s "$(realpath --relative-to=/tmp "${T}/$(basename 
"${tempdir}")")" "${tempdir}" || die
+
+               USE_SETUPTOOLS=1 NO_INTERNET=1 SHELL="/bin/bash" \
+                       TMPDIR="${tempdir}" \
+                       ${EPYTHON} tests/runtests.py \
+                       --unit-tests --no-report --verbose \
+                       || die "testing failed with ${EPYTHON}"
+       )
+}
+
+pkg_postinst() {
+       if use python_targets_python3_8; then
+               if use nova; then
+                       ewarn "Salt's nova functionality will not work with 
python3.8 since"
+                       ewarn "dev-python/python-novaclient does not support it 
yet"
+               fi
+               if use neutron; then
+                       ewarn "Salt's neutron functionality will not work with 
python3.8 since"
+                       ewarn "dev-python/python-neutronclient does not support 
it yet"
+               fi
+               if use libvirt; then
+                       ewarn "Salt's libvirt functionality will not work with 
python3.8 since"
+                       ewarn "dev-python/libvirt-python does not support it 
yet"
+               fi
+       fi
+}

Reply via email to